gnutls_pcert_import_rawpk_raw(3)

NAME
gnutls_pcert_import_rawpk_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_import_rawpk_raw(gnutls_pcert_st * pcert, const gnutls_datum_t * rawpubkey, gnutls_x509_crt_fmt_t format, unsigned int key_usage, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert
    The pcert structure to import the data into.

const gnutls_datum_t * rawpubkey
    The raw public-key in gnutls_datum_t format to be imported.

gnutls_x509_crt_fmt_t format
    The format of the raw public-key. DER or PEM.

unsigned int key_usage
    An ORed sequence of GNUTLS_KEY_* flags.

unsigned int flags
    zero for now

DESCRIPTION
This convenience function will import (i.e. convert) the given raw public key rawpubkey into a gnutls_pcert_st structure. The structure must be deinitialized afterwards using gnutls_pcert_deinit(). Note that the caller is responsible for freeing rawpubkey . All necessary values will be copied into pcert . Key usage (as defined by X.509 extension (2.5.29.15)) can be explicitly set because there is no certificate structure around the key to define this value. See for more info gnutls_x509_crt_get_key_usage().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/